import os
import sys
from tkinter import *

from common.graphics.circle    import *
from common.graphics.rectangle import *

# 리소스의 상대적 경로를 절대적 경로로 변환한다.
def getResourceFilePath(relativePath):
    basePath = getattr(sys, "_MEIPASS", os.path.dirname(os.path.abspath(__file__)))
    return os.path.join(basePath, relativePath)

tk = Tk()

tk.title("TestProject")

tk.geometry("800x600")
tk.iconbitmap(getResourceFilePath("./images/mars.ico")) # 실행 파일 내에서 아이콘 파일 리소스를 참조하기 위해서 getResourceFilePath 함수를 사용한다.
tk.configure(bg = "lightgray")

canvas = Canvas(tk, width = 400, height = 400, relief="solid", bd = 1, bg = "gold")

canvas.pack()
canvas.place(x = 200, y = 50)

photoImage = PhotoImage(file = getResourceFilePath("./images/apple.png")) # 실행 파일 내에서 이미지 파일 리소스를 참조하기 위해서 getResourceFilePath 함수를 사용한다.

def drawCircle():
    canvas.delete("all")
    circle = Circle(canvas, 200, 200, 180, "blue", "green")
    circle.draw()

def drawRectangle():
    canvas.delete("all")
    rectangle = Rectangle(canvas, 50, 50, 300, 300, "blue", "green")
    rectangle.draw()

def drawImage():
    canvas.delete("all")
    image = canvas.create_image(2, 50, anchor = NW, image = photoImage)

button1 = Button(tk, width = 10, text = "원", command = drawCircle)

button1.pack()
button1.place(x = 200, y = 460)

button2 = Button(tk, width = 10, text = "사각형", command = drawRectangle)

button2.pack()
button2.place(x = 290, y = 460)

button3 = Button(tk, width = 10, text = "이미지", command = drawImage)

button3.pack()
button3.place(x = 380, y = 460)

tk.mainloop()